<?php
/**
* @desc 	  MoodlePayments  - Pay for a course enrolment
* @since 	  1.8
* @version	  1.3
* @author	  Luuk Verhoeven [luuk@sebsoft.nl] / Sebastian Berm [sebastian@sebsoft.nl]
* @package    enrol/mpay
* @copyright  Sebsoft.nl
*/
require("../../config.php");
require_once("$CFG->dirroot/enrol/mpay/lib.php");

global $SESSION,$USER;

$id = required_param('id', PARAM_INT);

if (!$course = $DB->get_record("course", array("id"=> $id))) 
{
	redirect($CFG->wwwroot);
}

if (! $context = context_course::instance($course->id)) 
{
	redirect($CFG->wwwroot);
}

require_login($course->id);

if (!empty($SESSION->wantsurl)) 
{
	$destination = $SESSION->wantsurl;
	unset($SESSION->wantsurl);
} 
else 
{
	$destination = "$CFG->wwwroot/course/view.php?id=$course->id";
}

redirect($destination, get_string('paymentthanks', '', $course->fullname));
?>