/**
* @author Luuk Verhoeven <luuk@sebsoft.nl>
* @copyright Sebsoft.nl
* @version 1.0
*
* For Moodle versie 2.1
* CUSTOM YUI2/3 javascript
*
**/
YUI(M.yui.loader).use('yui2-container', 'yui2-event','node','io-base','node-base','anim', function(Y) {

  Y.on("domready",function(){
	
	var idealDiv =  Y.one('#idealbankchoice');
	var finder =  Y.one('#mpayfinder');
	//clean way to get back
	var mpayForm = finder.get('parentNode.parentNode.parentNode');
        

	//check selectionboxxes
	var pSelected		= false;
	var showideal 		= false;
	var bankSelected	= false;
	var filled		= false;
	var rollout 		= new Y.Anim({ node: '#idealbankchoice', to: { height: '400px'},easing: Y.Easing.backOut});
	var rollin 		= new Y.Anim({ node: '#idealbankchoice',from: { height: '400px'}, to: { height: '0px'},easing: Y.Easing.backIn});
        
        //check if there are more then on payment methode
        
        
	var mpaySelect = function (e)
	{
            //e.preventDefault();
            var radio 	= this.one('input');
            radio 		= radio.get('value');
            pSelected	= true;
            if(radio == 'ideal')
            {
                //count
                if(idealDiv.getStyle('height')!= '400px' )
                {
                    idealDiv.setStyle('display','block');
                    rollout.run();
                    radio.checked = true;
                    showideal = true;
                }
                else if(idealDiv.getStyle('height') == '400px')
                {
                    rollin.run();
                    radio.checked = false;
                    showideal = false;
                }
            }
            else
            {
                if(showideal == true)
                {
                    rollin.run();
                }
                showideal = false;
            }
	}
        
        var couponSubmit = function (e)
        {
            e.preventDefault();
            url = Y.one('#actionurl').get('value');
            code = Y.one('#couponkey').get('value');
            courseid = Y.one('#coursekey').get('value');
            
            if (url && code && courseid)
            {
                YUI().use('io',function(Y)
                {
                    Y.io(url, {
                        method: 'POST',
                        data: 'code='+code+'&courseid='+courseid,
                        on: {
                            success: function (id, result)
                            {
                                var response = JSON.parse(result.responseText);
                                if(response.ok)
                                {
                                    filled = true;
                                    log(result);
                                    var error = Y.one('#couponcodeerror');
                                    error.set('innerHTML','');
                                    //changing div
                                    var discount = Y.one('#discount');
                                    discount.set('innerHTML',response.ok);
                                    pSelected = true;
                                    var vs = Y.one('#vsString');
                                    vs.set('value',response.vs);
                                    var ccode = Y.one('#couponK');
                                    ccode.set('value',code);
                                }
                                else
                                {
                                    for(var i in response.error)
                                    {
                                        log( response.error[i]);
                                        var error = Y.one('#couponcodeerror');
                                        error.set('innerHTML',response.error[i]);
                                    }
                                    //Y.one('#couponkey').setStyle('border','1px solid red');
                                    
                                }

                            },
                            failure: function (id, result)
                            {
                                var response = JSON.parse(result.responseText);
                                for(var i in response.error)
                                {
                                    log( response.error[i]);
                                    var error = Y.one('#couponcodeerror');
                                    error.set('innerHTML',response.error[i]);

                                }
                            }
                        }
                    });
                });
            }

        }
        
	var checkForm = function (e)
	{
            //check if there is a coupon action and there is a coupon code for this course avialable
            if(showideal == true)
            {
                //check if we have select a bank
                if(bankSelected == true)
                {
                    log("send Showideal");
                    mpayForm.submit();
                }
                else
                {
                    e.preventDefault();
                    alert(M.str.enrol_mpay.select_bank);
                }
            }
            else
            {
                log('Not ideal');
                log('FILLED: '.filled);
                
                if(!Y.one('.pc_radiobutton'))//if there is one payment methode
                {
                    bankSelected = true;
                }
                //check payment 
                if(pSelected == true || bankSelected == true)
                {
                    log("send pSelected");
                    
                }
                else
                {
                    log('Nothing was selected');
                    e.preventDefault();
                    alertBox(M.str.enrol_mpay.select_payment);
                }
            }
            
	}

	var selectBank = function (e)
	{
            bankSelected = true;
	}
        
    Y.on("click", selectBank, ".idealbankline");
    Y.on("click", mpaySelect, ".pc_radiobutton");
    Y.on("click", checkForm, "#id_mpay_submit");
    Y.on("click", couponSubmit, "#id_mpay_checkcoupon");
    
})
})