<?php
/**
 * Extending Settings lib for a extra trigger / function
 */
class configselect_reload extends admin_setting_configselect {
    /**
     * Saves the setting(s) provided in $data
     *
     * @param array $data An array of data, if not array returns empty str
     * @return mixed empty string on useless data or success, error string if failed
     */
    public function write_setting($data) {
        global $CFG,$DB;
        if(isset($CFG->enrol_mpay_currency) && $CFG->enrol_mpay_currency != $data)
        {
            if($results = $DB->get_records('enrol',array('enrol'=>'mpay')))
            {
                foreach($results as $item)
                {
                    $obj             = new stdClass();
                    $obj->id         = $item->id;
                    $obj->currency   = $data;
                    $DB->update_record('enrol', $obj);
                }
            }

        }
		 return ($this->config_write($this->name, $data) ? '' : get_string('errorsetting', 'admin'));
    }
}
?>